@import "../../theme/palette";
@import "../../theme/sizing";
@import "../../theme/typography";

.instagram-shots-section {
  background-color: $color_gray;
  padding: 25px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-gap: 10px;
  grid-template-areas:
    "header"
    "slot-1";

  @media #{$size_m} {
    grid-template-areas:
    "header header link"
    "slot-1 slot-2 slot-3";
  }

  @media #{$size_l} {
    grid-template-areas:
    "header header link link"
    "slot-1 slot-2 slot-3 slot-4";
  }
}

.instagram-shot-header {
  @include text_header(true);
}

.instagram-link {
  @include text_header(false, true);
  grid-area: link;
  text-align: right;
  display: none;

  @media #{$size_m} {
    display: block;
  }
}

.instagram-shot-image {
  width: 270px;
  height: 270px;
  background-size: cover;

  @media #{$size_m} {
    width: 230px;
    height: 230px;
  }

  @media #{$size_l} {
    width: 280px;
    height: 280px;
  }
}

.instagram-shot-slot-1 {
  grid-area: slot-1;
}

.instagram-shot-slot-2 {
  grid-area: slot-2;
  display: none;

  @media #{$size_m} {
    display: block;
  }
}

.instagram-shot-slot-3 {
  grid-area: slot-3;
  display: none;

  @media #{$size_m} {
    display: block;
  }
}

.instagram-shot-slot-4 {
  grid-area: slot-4;
  display: none;

  @media #{$size_l} {
    display: block;
  }
}